LabelsRenderer
Date: 2019-10-22

org.jmol.render

## Class LabelsRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.render.FontLineShapeRenderer
    - - org.jmol.render.LabelsRenderer

- Direct Known Subclasses:
    EchoRenderer, MeasuresRenderer

      public class LabelsRenderer
      extends FontLineShapeRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `ascent`
    `private Atom` | `atom`
    `protected Point3fi` | `atomPt`
    `protected short` | `bgcolix`
    `private float[]` | `boxXY`
    `protected int` | `descent`
    `private byte` | `fid`
    `(package private) byte` | `fidPrevious`
    `private boolean` | `isAbsolute`
    `protected short` | `labelColix`
    `(package private) int[]` | `minZ`
    `private int` | `offset`
    `private int` | `pointer`
    `protected javajs.util.P3` | `pTemp`
    `private float` | `scalePixelsPerMicron`
    `private javajs.util.P3i` | `screen`
    `protected float` | `sppm`
    `protected int` | `textAlign`
    `protected float[]` | `xy`
    `private int` | `zBox`
    `protected int` | `zSlab`

    - ### Fields inherited from class org.jmol.render.FontLineShapeRenderer

      `asLineOnly, colixA, colixB, dashDots, dashes, dotsOrDashes, draw000, endcap, font3d, fourdots, hDashes, imageFontScaling, ndots, pointT, pointT2, pointT3, pt0, pt0i, pt1, pt2i, s1, s2, sixdots, tickA, tickAs, tickB, tickBs, tickInfo, twodots, vectorT, vectorT2, vectorT3, width`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelsRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `render()`
    `protected Text` | `renderLabelOrMeasure(Text text, java.lang.String label)`

    - ### Methods inherited from class org.jmol.render.FontLineShapeRenderer

      `checkTickTemps, drawDashed, drawLine, drawLine2, drawString, drawTicks, fillCylinder, getDiameter, renderLine`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### minZ

          final int[] minZ

    - #### ascent

          protected int ascent

    - #### descent

          protected int descent

    - #### sppm

          protected float sppm

    - #### xy

          protected float[] xy

    - #### screen

          private javajs.util.P3i screen

    - #### fidPrevious

          byte fidPrevious

    - #### pTemp

          protected javajs.util.P3 pTemp

    - #### bgcolix

          protected short bgcolix

    - #### labelColix

          protected short labelColix

    - #### fid

          private byte fid

    - #### atom

          private Atom atom

    - #### atomPt

          protected Point3fi atomPt

    - #### isAbsolute

          private boolean isAbsolute

    - #### offset

          private int offset

    - #### textAlign

          protected int textAlign

    - #### pointer

          private int pointer

    - #### zSlab

          protected int zSlab

    - #### zBox

          private int zBox

    - #### boxXY

          private float[] boxXY

    - #### scalePixelsPerMicron

          private float scalePixelsPerMicron

  - ### Constructor Detail

    - #### LabelsRenderer

          public LabelsRenderer()

  - ### Method Detail

    - #### render

          protected boolean render()

      Specified by:
        `render` in class `ShapeRenderer`

    - #### renderLabelOrMeasure

          protected Text renderLabelOrMeasure(Text text,
                                              java.lang.String label)